AllCops:
  NewCops: enable
  Exclude:
    - vendor/**/*
    - bin/**/*

# TODO: Re-enable Complexity. zendesk_helper.rb, is only problematic method
Metrics/CyclomaticComplexity:
  Enabled: false
# Max: 7

Metrics/PerceivedComplexity:
  Enabled: false

Metrics/ModuleLength:
  Enabled: false

Layout/LineLength:
  Enabled: false

Metrics/AbcSize:
  Enabled: false

Metrics/BlockLength:
  Enabled: false

Metrics/MethodLength:
  Enabled: false

Style/Documentation:
  Enabled: false

Style/FrozenStringLiteralComment:
  Enabled: false

NonDeterministicRequireOrder:
  Enabled: false

Security/MarshalLoad:
  Enabled: false
